atkmm: Atk::NoOpObject Class Reference

atkmm 2.36.3

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Atk::NoOpObject Class Reference

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...

`#include <atkmm/noopobject.h>`

Inheritance diagram for Atk::NoOpObject:
[legend]

## Public Member Functions
| NoOpObject (NoOpObject && src) noexcept
NoOpObject & | operator= (NoOpObject && src) noexcept
| ~NoOpObject () noexcept override
AtkNoOpObject * | gobj ()
| Provides access to the underlying C GObject.
const AtkNoOpObject * | gobj () const
| Provides access to the underlying C GObject.
AtkNoOpObject * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Public Member Functions inherited from Atk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
AtkObject * | gobj ()
| Provides access to the underlying C GObject.
const AtkObject * | gobj () const
| Provides access to the underlying C GObject.
AtkObject * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_name () const
| Gets the accessible name of the accessible.
Glib::ustring | get_description () const
| Gets the accessible description of the accessible.
Glib::RefPtr< Atk::Object > | get_parent ()
| Gets the accessible parent of the accessible.
int | get_n_accessible_children () const
| Gets the number of accessible children of the accessible.
Glib::RefPtr< Atk::Object > | get_accessible_child (int i)
| Gets a reference to the specified accessible child of the object.
Glib::RefPtr< RelationSet > | get_relation_set ()
| Gets the Atk::RelationSet associated with the object.
Role | get_role () const
| Gets the role of the accessible.
Glib::RefPtr< StateSet > | get_state_set ()
| Gets a reference to the state set of the accessible; the caller must unreference it when it is no longer needed.
int | get_index_in_parent ()
| Gets the 0-based index of this accessible in its parent; returns -1 if the accessible does not have an accessible parent.
void | set_name (const Glib::ustring & name)
| Sets the accessible name of the accessible.
void | set_description (const Glib::ustring & description)
| Sets the accessible description of the accessible.
void | set_parent (const Glib::RefPtr< Atk::Object > & parent)
| Sets the accessible parent of the accessible.
void | set_role (Role role)
| Sets the role of the accessible.
void | notify_state_change (State state, bool value)
| Emits a state-change signal for the specified state.
bool | add_relationship (Relation::Type relationship, const Glib::RefPtr< Object > & target)
| Adds a relationship of the specified type with the specified target.
bool | remove_relationship (Relation::Type relationship, const Glib::RefPtr< Object > & target)
| Removes a relationship of the specified type with the specified target.
Glib::ustring | get_object_locale () const
| Gets a UTF-8 string indicating the POSIX-style LC_MESSAGES locale of accessible.
Glib::ustring | get_accessible_id () const
| Gets the accessible id of the accessible.
void | set_accessible_id (const Glib::ustring & name)
| Sets the accessible ID of the accessible.
Glib::SignalProxyDetailed< void(guint, gpointer)> | signal_children_changed (const Glib::ustring & add_or_remove={})
Glib::SignalProxy< void(bool)> | signal_focus_event ()
Glib::SignalProxyDetailed< void(AtkPropertyValues *)> | signal_property_change (const Glib::ustring & property_name={})
Glib::SignalProxyDetailed< void(const Glib::ustring &, bool)> | signal_state_change (const Glib::ustring & state_name={})
Glib::SignalProxy< void()> | signal_visible_data_changed ()
Glib::SignalProxy< void(void **)> | signal_active_descendant_changed ()
Glib::PropertyProxy< Glib::ustring > | property_accessible_name ()
| Object instance’s name formatted for assistive technology access.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_name () const
| Object instance’s name formatted for assistive technology access.
Glib::PropertyProxy< Glib::ustring > | property_accessible_description ()
| Description of an object, formatted for assistive technology access.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_description () const
| Description of an object, formatted for assistive technology access.
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_parent ()
| Parent of the current accessible as returned by Atk::Object::get_parent().
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_parent () const
| Parent of the current accessible as returned by Atk::Object::get_parent().
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of this object.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of this object.
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_layer () const
| The accessible layer of this object.
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_mdi_zorder () const
| The accessible MDI value of this object.
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary ()
| Is used to notify that the table summary has changed.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary () const
| Is used to notify that the table summary has changed.
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_caption_object ()
| Is used to notify that the table caption has changed.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_caption_object () const
| Is used to notify that the table caption has changed.
Glib::PropertyProxy_ReadOnly< int > | property_accessible_hypertext_nlinks () const
| The number of links which the current AtkHypertext has.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Atk::Component
| Component (Component && src) noexcept
Component & | operator= (Component && src) noexcept
| ~Component () noexcept override
AtkComponent * | gobj ()
| Provides access to the underlying C GObject.
const AtkComponent * | gobj () const
| Provides access to the underlying C GObject.
bool | contains (int x, int y, CoordType coord_type) const
| Checks whether the specified point is within the extent of the component.
Glib::RefPtr< Atk::Object > | get_accessible_at_point (int x, int y, CoordType coord_type)
| Gets a reference to the accessible child, if one exists, at the coordinate point specified by x and y.
void | get_extents (int & x, int & y, int & width, int & height, CoordType coord_type) const
| Gets the rectangle which gives the extent of the component.
Layer | get_layer () const
| Gets the layer of the component.
int | get_mdi_zorder () const
| Gets the zorder of the component.
bool | grab_focus ()
| Grabs focus for this component.
bool | set_extents (int x, int y, int width, int height, CoordType coord_type)
| Sets the extents of component.
bool | set_position (int x, int y, CoordType coord_type)
| Sets the position of component.
bool | set_size (int width, int height)
| Set the size of the component in terms of width and height.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Atk::Action
| Action (Action && src) noexcept
Action & | operator= (Action && src) noexcept
| ~Action () noexcept override
AtkAction * | gobj ()
| Provides access to the underlying C GObject.
const AtkAction * | gobj () const
| Provides access to the underlying C GObject.
bool | do_action (int i)
| Perform the specified action on the object.
int | get_n_actions () const
| Gets the number of accessible actions available on the object.
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object.
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object.
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists.
bool | set_description (int i, const Glib::ustring & desc)
| Sets a description of the specified action of the object.
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object.
Public Member Functions inherited from Atk::EditableText
| EditableText (EditableText && src) noexcept
EditableText & | operator= (EditableText && src) noexcept
| ~EditableText () noexcept override
AtkEditableText * | gobj ()
| Provides access to the underlying C GObject.
const AtkEditableText * | gobj () const
| Provides access to the underlying C GObject.
bool | set_run_attributes (const std::vector< Attribute > & attrib_set, int start_offset, int end_offset)
| Sets the attributes for a specified range.
void | set_text_contents (const Glib::ustring &string)
| Set text contents of text.
void | insert_text (const Glib::ustring &string, int length, int & position)
| Insert text at a given position.
void | copy_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard.
void | cut_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget.
void | delete_text (int start_pos, int end_pos)
| Delete text start_pos up to, but not including end_pos.
void | paste_text (int position)
| Paste text from clipboard to specified position.
Public Member Functions inherited from Atk::Image
| Image (Image && src) noexcept
Image & | operator= (Image && src) noexcept
| ~Image () noexcept override
AtkImage * | gobj ()
| Provides access to the underlying C GObject.
const AtkImage * | gobj () const
| Provides access to the underlying C GObject.
bool | set_image_description (const Glib::ustring & description)
| Sets the textual description for this image.
Glib::ustring | get_image_description () const
| Get a textual description of this image.
void | get_image_size (int & width, int & height) const
| Get the width and height in pixels for the specified image.
void | get_image_position (int & x, int & y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner.
Public Member Functions inherited from Atk::Selection
| Selection (Selection && src) noexcept
Selection & | operator= (Selection && src) noexcept
| ~Selection () noexcept override
AtkSelection * | gobj ()
| Provides access to the underlying C GObject.
const AtkSelection * | gobj () const
| Provides access to the underlying C GObject.
bool | add_selection (int i)
| Adds the specified accessible child of the object to the object's selection.
bool | clear_selection ()
| Clears the selection in the object so that no children in the object are selected.
Glib::RefPtr< Atk::Object > | get_selection (int i)
| Gets a reference to the accessible object representing the specified selected child of the object.
int | get_selection_count () const
| Gets the number of accessible children currently selected.
bool | is_child_selected (int i) const
| Determines if the current child of this object is selected.
bool | remove_selection (int i)
| Removes the specified child of the object from the object's selection.
bool | select_all_selection ()
| Causes every child of the object to be selected if the object supports multiple selections.
Glib::SignalProxy< void()> | signal_selection_changed ()
Public Member Functions inherited from Atk::Table
| Table (Table && src) noexcept
Table & | operator= (Table && src) noexcept
| ~Table () noexcept override
AtkTable * | gobj ()
| Provides access to the underlying C GObject.
const AtkTable * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Atk::Object > | get_at (int row, int column)
| Get a reference to the table cell at row, column.
Glib::RefPtr< const Atk::Object > | get_at (int row, int column) const
| Get a reference to the table cell at row, column.
int | get_n_columns () const
| Gets the number of columns in the table.
int | get_n_rows () const
| Gets the number of rows in the table.
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table.
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table.
Glib::RefPtr< Atk::Object > | get_caption ()
| Gets the caption for the table.
Glib::RefPtr< const Atk::Object > | get_caption () const
| Gets the caption for the table.
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table.
Glib::RefPtr< Atk::Object > | get_column_header (int column)
| Gets the column header of a specified column in an accessible table.
Glib::RefPtr< const Atk::Object > | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table.
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table.
Glib::RefPtr< Atk::Object > | get_row_header (int row)
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< const Atk::Object > | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< Atk::Object > | get_summary ()
| Gets the summary description of the table.
Glib::RefPtr< const Atk::Object > | get_summary () const
| Gets the summary description of the table.
void | set_caption (const Glib::RefPtr< Atk::Object > & caption)
| Sets the caption for the table.
void | set_column_description (int column, const Glib::ustring & description)
| Sets the description text for the specified column of the table.
void | set_column_header (int column, const Glib::RefPtr< Atk::Object > & header)
| Sets the specified column header to header.
void | set_row_description (int row, const Glib::ustring & description)
| Sets the description text for the specified row of table.
void | set_row_header (int row, const Glib::RefPtr< Atk::Object > & header)
| Sets the specified row header to header.
void | set_summary (const Glib::RefPtr< Atk::Object > & accessible)
| Sets the summary description of the table.
std::vector< int > | get_selected_columns () const
std::vector< int > | get_selected_rows () const
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected.
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected.
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected.
bool | add_row_selection (int row)
| Adds the specified row to the selection.
bool | remove_row_selection (int row)
| Removes the specified row from the selection.
bool | add_column_selection (int column)
| Adds the specified column to the selection.
bool | remove_column_selection (int column)
| Adds the specified column to the selection.
Glib::SignalProxy< void(int, int)> | signal_row_inserted ()
Glib::SignalProxy< void(int, int)> | signal_column_inserted ()
Glib::SignalProxy< void(int, int)> | signal_row_deleted ()
Glib::SignalProxy< void(int, int)> | signal_column_deleted ()
Glib::SignalProxy< void()> | signal_row_reordered ()
Glib::SignalProxy< void()> | signal_column_reordered ()
Glib::SignalProxy< void()> | signal_model_changed ()
Public Member Functions inherited from Atk::Text
| Text (Text && src) noexcept
Text & | operator= (Text && src) noexcept
| ~Text () noexcept override
AtkText * | gobj ()
| Provides access to the underlying C GObject.
const AtkText * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_text (int start_offset, int end_offset) const
| Gets the specified text.
gunichar | get_character_at_offset (int offset) const
| Gets the specified text.
Glib::ustring | get_string_at_offset (int offset, Granularity granularity, int & start_offset, int & end_offset)
| Gets a portion of the text exposed through an Atk::Text according to a given offset and a specific granularity, along with the start and end offsets defining the boundaries of such a portion of text.
int | get_caret_offset () const
| Gets the offset of the position of the caret (cursor).
void | get_character_extents (int offset, int & x, int & y, int & width, int & height, CoordType coords) const
| If the extent can not be obtained (e.g. missing support), all of x, y, width, height are set to -1.
std::vector< Attribute > | get_run_attributes (int offset, int & start_offset, int & end_offset) const
| Creates an Atk::AttributeSet which consists of the attributes explicitly set at the position offset in the text.
std::vector< Attribute > | get_default_attributes () const
| Creates an Atk::AttributeSet which consists of the default values of attributes for the text.
int | get_character_count () const
| Gets the character count.
int | get_offset_at_point (int x, int y, CoordType coords) const
| Gets the offset of the character located at coordinates x and y.
int | get_n_selections () const
| Gets the number of selected regions.
Glib::ustring | get_selection (int selection_num, int & start_offset, int & end_offset) const
| Gets the text from the specified selection.
bool | add_selection (int start_offset, int end_offset)
| Adds a selection bounded by the specified offsets.
bool | remove_selection (int selection_num)
| Removes the specified selection.
bool | set_selection (int selection_num, int start_offset, int end_offset)
| Changes the start and end offset of the specified selection.
bool | set_caret_offset (int offset)
| Sets the caret (cursor) position to the specified offset.
void | get_range_extents (int start_offset, int end_offset, CoordType coord_type, Rectangle & rect)
| Get the bounding box for text within the specified range.
AtkTextRange ** | get_bounded_ranges (const Rectangle & rect, CoordType coord_type, ClipType x_clip_type, ClipType y_clip_type)
| Get the ranges of text in the specified bounding box.
Glib::SignalProxyDetailed< void(int, int)> | signal_text_changed (const Glib::ustring & insert_or_delete={})
Glib::SignalProxyDetailed< void(int, int, const Glib::ustring &)> | signal_text_insert (const Glib::ustring & system={})
Glib::SignalProxyDetailed< void(int, int, const Glib::ustring &)> | signal_text_remove (const Glib::ustring & system={})
Glib::SignalProxy< void(int)> | signal_text_caret_moved ()
Glib::SignalProxy< void()> | signal_text_selection_changed ()
Glib::SignalProxy< void()> | signal_text_attributes_changed ()
Public Member Functions inherited from Atk::Hypertext
| Hypertext (Hypertext && src) noexcept
Hypertext & | operator= (Hypertext && src) noexcept
| ~Hypertext () noexcept override
AtkHypertext * | gobj ()
| Provides access to the underlying C GObject.
const AtkHypertext * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Hyperlink > | get_link (int link_index)
| Gets the link in this hypertext document at index link_index.
Glib::RefPtr< const Hyperlink > | get_link (int link_index) const
| Gets the link in this hypertext document at index link_index.
int | get_n_links () const
| Gets the number of links within this hypertext document.
int | get_link_index (int char_index) const
| Gets the index into the array of hyperlinks that is associated with the character specified by char_index.
Glib::SignalProxy< void(int)> | signal_link_selected ()
virtual Glib::RefPtr< Hyperlink > | get_link_vfunc (int link_index)
virtual int | get_n_links_vfunc () const
virtual int | get_link_index_vfunc (int char_index) const
Public Member Functions inherited from Atk::Value
| Value (Value && src) noexcept
Value & | operator= (Value && src) noexcept
| ~Value () noexcept override
AtkValue * | gobj ()
| Provides access to the underlying C GObject.
const AtkValue * | gobj () const
| Provides access to the underlying C GObject.
void | get_value_and_text (double & value, Glib::ustring & text)
| Gets the current value and the human readable text alternative.
Range | get_range () const
| Gets the range of this object.
double | get_increment ()
| Gets the minimum increment by which the value of this object may be changed.
void | set_value (const gdouble new_value)
| Sets the value of this object.
Glib::SignalProxy< void(double, const Glib::ustring &)> | signal_value_changed ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Component
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Action
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::EditableText
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Image
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Selection
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Table
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Text
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Hypertext
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Value
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::NoOpObject > | wrap (AtkNoOpObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Object
Glib::RefPtr< Atk::Object > | wrap (AtkObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Component
Glib::RefPtr< Atk::Component > | wrap (AtkComponent * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Action
Glib::RefPtr< Atk::Action > | wrap (AtkAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::EditableText
Glib::RefPtr< Atk::EditableText > | wrap (AtkEditableText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Image
Glib::RefPtr< Atk::Image > | wrap (AtkImage * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Selection
Glib::RefPtr< Atk::Selection > | wrap (AtkSelection * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Table
Glib::RefPtr< Atk::Table > | wrap (AtkTable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Text
Glib::RefPtr< Atk::Text > | wrap (AtkText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Hypertext
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Atk::Value
Glib::RefPtr< Atk::Value > | wrap (AtkValue * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from Atk::Text
enum class | ClipType { ClipType::NONE , ClipType::MIN , ClipType::MAX , ClipType::BOTH }
| Describes the type of clipping required. More...
enum class | Granularity { Granularity::CHAR , Granularity::WORD , Granularity::SENTENCE , Granularity::LINE , Granularity::PARAGRAPH }
| Text granularity types used for specifying the granularity of the region of text we are interested in. More...
typedef AtkTextRectangle | Rectangle
Protected Member Functions inherited from Atk::Object
virtual void | on_children_changed (guint change_index, gpointer changed_child)
| This is a default handler for the signal signal_children_changed().
virtual void | on_focus_event (bool focus_in)
| This is a default handler for the signal signal_focus_event().
virtual void | on_property_change (AtkPropertyValues * values)
| This is a default handler for the signal signal_property_change().
virtual void | on_state_change (const Glib::ustring & name, bool state_set)
| This is a default handler for the signal signal_state_change().
virtual void | on_visible_data_changed ()
| This is a default handler for the signal signal_visible_data_changed().
virtual void | on_active_descendant_changed (void ** child)
| This is a default handler for the signal signal_active_descendant_changed().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Atk::Component
| Component ()
| You should derive from this class to use it.
virtual guint | add_focus_handler_vfunc (AtkFocusHandler handler)
virtual bool | contains_vfunc (int x, int y, CoordType coord_type) const
virtual Glib::RefPtr< Atk::Object > | get_accessible_at_point_vfunc (int x, int y, CoordType coord_type)
virtual void | get_extents_vfunc (int & x, int & y, int & width, int & height, CoordType coord_type) const
virtual Layer | get_layer_vfunc () const
virtual int | get_mdi_zorder_vfunc () const
virtual bool | grab_focus_vfunc ()
virtual bool | set_extents_vfunc (int x, int y, int width, int height, CoordType coord_type)
virtual bool | set_position_vfunc (int x, int y, CoordType coord_type)
virtual bool | set_size_vfunc (int width, int height)
Protected Member Functions inherited from Atk::Action
| Action ()
| You should derive from this class to use it.
virtual bool | do_action_vfunc (int i)
virtual int | get_n_actions_vfunc () const
virtual const char * | get_description_vfunc (int i) const
virtual const char * | get_name_vfunc (int i) const
virtual const char * | get_keybinding_vfunc (int i) const
virtual bool | set_description_vfunc (int i, const Glib::ustring & desc)
Protected Member Functions inherited from Atk::EditableText
| EditableText ()
| You should derive from this class to use it.
virtual bool | set_run_attributes_vfunc (AtkAttributeSet * attrib_set, int start_offset, int end_offset)
virtual void | set_text_contents_vfunc (const Glib::ustring &string)
virtual void | insert_text_vfunc (const Glib::ustring &string, int length, int & position)
virtual void | copy_text_vfunc (int start_pos, int end_pos)
virtual void | cut_text_vfunc (int start_pos, int end_pos)
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual void | paste_text_vfunc (int position)
Protected Member Functions inherited from Atk::Image
| Image ()
| You should derive from this class to use it.
virtual bool | set_image_description_vfunc (const Glib::ustring & description)
virtual const char * | get_image_description_vfunc () const
virtual void | get_image_position_vfunc (int & x, int & y, CoordType coord_type) const
virtual void | get_image_size_vfunc (int & width, int & height) const
Protected Member Functions inherited from Atk::Selection
| Selection ()
| You should derive from this class to use it.
virtual bool | add_selection_vfunc (int i)
virtual bool | clear_selection_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_selection_vfunc (int i)
virtual int | get_selection_count_vfunc () const
virtual bool | is_child_selected_vfunc (int i) const
virtual bool | remove_selection_vfunc (int i)
virtual bool | select_all_selection_vfunc ()
virtual void | on_selection_changed ()
| This is a default handler for the signal signal_selection_changed().
Protected Member Functions inherited from Atk::Table
| Table ()
| You should derive from this class to use it.
virtual Glib::RefPtr< Atk::Object > | get_at_vfunc (int row, int column)
virtual int | get_index_at_vfunc (int row, int column) const
virtual int | get_column_at_index_vfunc (int index) const
virtual int | get_row_at_index_vfunc (int index) const
virtual int | get_n_columns_vfunc () const
virtual int | get_n_rows_vfunc () const
virtual int | get_column_extent_at_vfunc (int row, int column) const
virtual int | get_row_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr< Atk::Object > | get_caption_vfunc ()
virtual const char * | get_column_description_vfunc (int column) const
virtual Glib::RefPtr< Atk::Object > | get_column_header_vfunc (int column)
virtual const char * | get_row_description_vfunc (int row) const
virtual Glib::RefPtr< Atk::Object > | get_row_header_vfunc (int row)
virtual Glib::RefPtr< Atk::Object > | get_summary_vfunc ()
virtual void | set_caption_vfunc (const Glib::RefPtr< Atk::Object > & caption)
virtual void | set_column_description_vfunc (int column, const char * description)
virtual void | set_column_header_vfunc (int column, const Glib::RefPtr< Atk::Object > & header)
virtual void | set_row_description_vfunc (int row, const char * description)
virtual void | set_row_header_vfunc (int row, const Glib::RefPtr< Atk::Object > & header)
virtual void | set_summary_vfunc (const Glib::RefPtr< Atk::Object > & accessible)
virtual bool | is_column_selected_vfunc (int column) const
virtual bool | is_row_selected_vfunc (int row) const
virtual bool | is_selected_vfunc (int row, int column) const
virtual bool | add_row_selection_vfunc (int row)
virtual bool | remove_row_selection_vfunc (int row)
virtual bool | add_column_selection_vfunc (int column)
virtual bool | remove_column_selection_vfunc (int column)
virtual int | get_selected_columns_vfunc (int ** selected) const
virtual int | get_selected_rows_vfunc (int ** selected) const
virtual void | on_row_inserted (int row, int num_inserted)
| This is a default handler for the signal signal_row_inserted().
virtual void | on_column_inserted (int column, int num_inserted)
| This is a default handler for the signal signal_column_inserted().
virtual void | on_row_deleted (int row, int num_deleted)
| This is a default handler for the signal signal_row_deleted().
virtual void | on_column_deleted (int column, int num_deleted)
| This is a default handler for the signal signal_column_deleted().
virtual void | on_row_reordered ()
| This is a default handler for the signal signal_row_reordered().
virtual void | on_column_reordered ()
| This is a default handler for the signal signal_column_reordered().
virtual void | on_model_changed ()
| This is a default handler for the signal signal_model_changed().
Protected Member Functions inherited from Atk::Text
| Text ()
| You should derive from this class to use it.
virtual Glib::ustring | get_text_vfunc (int start_offset, int end_offset) const
virtual gunichar | get_character_at_offset_vfunc (int offset) const
virtual int | get_caret_offset_vfunc () const
virtual void | get_character_extents_vfunc (int offset, int & x, int & y, int & width, int & height, CoordType coords) const
virtual AtkAttributeSet * | get_run_attributes_vfunc (int offset, int & start_offset, int & end_offset) const
virtual AtkAttributeSet * | get_default_attributes_vfunc () const
virtual int | get_character_count_vfunc () const
virtual int | get_offset_at_point_vfunc (int x, int y, CoordType coords) const
virtual int | get_n_selections_vfunc () const
virtual Glib::ustring | get_selection_vfunc (int selection_num, int & start_offset, int & end_offset) const
virtual bool | add_selection_vfunc (int start_offset, int end_offset)
virtual bool | remove_selection_vfunc (int selection_num)
virtual bool | set_selection_vfunc (int selection_num, int start_offset, int end_offset)
virtual bool | set_caret_offset_vfunc (int offset)
virtual void | on_text_changed (int position, int length)
| This is a default handler for the signal signal_text_changed().
virtual void | on_text_caret_moved (int location)
| This is a default handler for the signal signal_text_caret_moved().
virtual void | on_text_selection_changed ()
| This is a default handler for the signal signal_text_selection_changed().
virtual void | on_text_attributes_changed ()
| This is a default handler for the signal signal_text_attributes_changed().
Protected Member Functions inherited from Atk::Hypertext
| Hypertext ()
| You should derive from this class to use it.
virtual void | on_link_selected (int link_index)
| This is a default handler for the signal signal_link_selected().
Protected Member Functions inherited from Atk::Value
| Value ()
| You should derive from this class to use it.
virtual void | get_current_value_vfunc (Glib::ValueBase & value) const
virtual void | get_maximum_value_vfunc (Glib::ValueBase & value) const
virtual void | get_minimum_value_vfunc (Glib::ValueBase & value) const

## Detailed Description

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces.

It is the type of Atk::Object which is created if an accessible object is requested for an object type for which no factory type is specified.

## Constructor & Destructor Documentation

## ◆ NoOpObject()

Atk::NoOpObject::NoOpObject | ( | NoOpObject && | src | ) |
| noexcept

## ◆ ~NoOpObject()

Atk::NoOpObject::~NoOpObject | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_type()

static GType Atk::NoOpObject::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkNoOpObject * Atk::NoOpObject::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkNoOpObject * Atk::NoOpObject::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

AtkNoOpObject * Atk::NoOpObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NoOpObject & Atk::NoOpObject::operator= | ( | NoOpObject && | src | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Atk::NoOpObject > wrap | ( | AtkNoOpObject * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.